Subject: [manet] FW: DLEP 15

From: "Ratliff, Stanley" <[email-masked]>
Date: Fri, 10 Jul 2015 14:55:07 +0000

FYI, with answers. 

Regards,
Stan

> -----Original Message-----
> From: Ratliff, Stanley
> Sent: Friday, July 10, 2015 9:39 AM
> To: 'Rick Taylor'; Wiggins, David - 0665 - MITLL
> Subject: RE: DLEP 15
> 
> David,
> 
> We can handle this either off-list or on it. Your choice.
> 
> > -----Original Message-----
> > From: Rick Taylor [mailto:[email-masked]]
> > Sent: Friday, July 10, 2015 8:51 AM
> > To: Wiggins, David - 0665 - MITLL; Ratliff, Stanley
> > Subject: Re: DLEP 15
> >
> > Hi David,
> >
> > The list is probably the best place for some of these questions, but
> > Stan is the font of all knowledge about Credit Windowing, so I'll let him
> answer.
> >
> > Cheers,
> >
> > Rick
> >
> > On 10/07/15 13:46, Wiggins, David - 0665 - MITLL wrote:
> > > Thanks, Rick.
> > >
> > > I have some less trivial comments, almost all on the credit
> > > windowing extension.  Should I send these to the list?  I am really
> > > not trying to be difficult or opinionated; I actually need to
> > > implement this and I don't know how to interpret the draft on these
> points:
> > >
> > > Exactly which data plane octets count against the credit window?
> > > Since destinations are MAC addresses, I assume we are counting at
> > > the MAC layer.  So MAC payload octets should surely count, but what
> about
> > > MAC headers?  MAC framing?
> 
> The intent is to count all octets of the frame at Layer 2. So yes, MAC headers
> and framing bytes would be included.
> 
> > >
> > > Are multicast destinations handled any differently than unicast?
> 
> No, they should be handled the same.
> 
> > >
> > > A Destination Update message can contain both Credit Window Status
> > > and Credit Grant data items.  In that case, does the window value in
> > > the Credit Window Status already reflect the Credit Grant increment,
> > > or should the recipient add the window value + credit increment to
> > > get the real new credit window?
> 
> Uhhh, I don't think so. Seems to me that the root of the question here is
> whether the peer would have added in the grant before creating the
> window status or not. So I would think the correct processing flow would be
> to add the credit increment to your existing, running counter, then compare
> to the value in window status.
> 
> > >
> > > When a peer receives a Credit Window Status, if it has a different
> > > value for the other side's receive window than what is in the Credit
> > > Window Status, should it update its value to be the one in the
> > > Credit Window Status?  It seems like this should be a MUST.
> 
> Here's the corresponding verbiage (with all of the PPPoE-isms,
> unfortunately) from RFC 5578:
> 
> "During normal operation, nodes may disagree about the number of
>    credits.  Operational credit mismatches would occur due to packets in
>    transit on the wire.  Much larger credit mismatches can occur if
>    there are transmission errors.  To correct these larger errors, the
>    BCN fields of the PADG and PADC packets and in-band credit grants
>    from a peer can be used by the receiving node to reset the credit
>    values of its peer."
> 
> Not really a MUST, but it's certainly a MAY. We can add the DLEP-ized version
> of this text.
> 
> Regards,
> Stan
> 
> > >
> > >
> > > Thanks,
> > >
> > > David
> > >
> > >
> > > On 7/10/15, 8:28 AM, "Rick Taylor" <[email-masked]>
> > wrote:
> > >
> > >> Thanks David,
> > >>
> > >> I'll get them included in the draft for the next release.
> > >>
> > >> Rick
> > >>
> > >> On 07/07/15 18:28, Wiggins, David - 0665 - MITLL wrote:
> > >>> Here are a few nits:
> > >>>
> > >>> decriment -> decrement
> > >>> Recive -> Receive
> > >>> remove  (#msg_dest_up) in 10.2.1
> > >>>
> > >>> From: David Wiggins <[email-masked]
> > >>> <mailto:[email-masked]>>
> > >>> Date: Tuesday, July 7, 2015 at 11:31 AM
> > >>> To: "Ratliff, Stanley" <[email-masked]
> > >>> <mailto:[email-masked]>>, Rick Taylor
> > >>> <[email-masked]
> > >>> <mailto:[email-masked]>>
> > >>> Subject: DLEP 15
> > >>>
> > >>> Hi Stan, Rick,
> > >>>
> > >>> Thanks for your work on the new draft.  It is much improved.  I
> > >>> have a few minor comments; should I send them to the manet list,
> > >>> or do you want to work through Lou's review first?  I don't want
> > >>> to sidetrack the processŠ
> > >>>
> > >>> David
> > >>>
> > >>

_____________________________________________________
This electronic message and any files transmitted with it contains
information from iDirect, which may be privileged, proprietary
and/or confidential. It is intended solely for the use of the individual
or entity to whom they are addressed. If you are not the original
recipient or the person responsible for delivering the email to the
intended recipient, be advised that you have received this email
in error, and that any use, dissemination, forwarding, printing, or
copying of this email is strictly prohibited. If you received this email
in error, please delete it and immediately notify the sender.
_____________________________________________________